<template>
	<view class="bzxx-list-page">
		<view class="bzxx-wrap-box">
			<view v-for="(item,index) in list" :key="index" class="bzxx-card-box">
				<view class="name-btn-box">
					<view>报证机构:{{item.jgName}}</view>
					<view class="name-btn editer-btn" @click="goEdit(item,index)">编辑</view>
					<view class="name-btn delete-btn" @click="deleteFun(item,index)">删除</view>
				</view>
				<view class="bzxx-zy-row"><icon class="zy-icon"></icon>职业名称：<text>{{item.zyName}}</text></view>
				<view class="bzxx-zy-row"><icon class="zydj-icon"></icon>职业等级：<text>{{item.zyLevelName}}</text></view>
				<view class="bzxx-time-row"><icon class="time-icon"></icon><text>申报时间：{{item.createTime}}</text></view>
			</view>
		</view>
		<view class="bzxx-btn-box">
			<button type="default" @click="addBanzheng" class="phone-white-btn">添加</button>
		</view>
	</view>
</template>

<script>
	import {
		getBaozhengJigou,
		getJiazhengLevel,
		getJiazhengZhiye,
		getJiazhengBanzhengCheckKc
	} from "@/api/jiazheng.js"
	export default {
		data() {
			return {

			};
		},
		props: {
			list: {
				type: Array,
				default: () => []
			},
		},
		computed: {

		},
		created() {

		},
		methods: {
			addBanzheng() {
				this.$emit('addBanzheng');
			},
			goEdit(item, index) {
				this.$emit('editBanzheng', item, index);
			},
			deleteFun(item, index) {
				this.$emit('deleteBanzheng', item, index);
			}
		}
	};
</script>